{% block title %}Galerie - Trump Universe{% endblock %}
{% extends 'base.html.twig' %}

{% block body %}
<div class="gallery-container">
<h1>Galerie</h1>
<ul class="gallery-choice">
    <li class="{% if not cat is defined %}active{% endif %}">
        <a href="{{ path('gallery') }}">Toutes</a>
    </li>
    <li class="{% if cat is defined %}{% if cat == 'FanArt' %} active {% endif %}{% endif %}">
        <a href="{{ path('gallery_cat', {'cat_name': 'FanArt'}) }}">FanArt</a>
    </li>
    <li class="{% if cat is defined %}{% if cat == 'Photos' %} active {% endif %}{% endif %}">
        <a href="{{ path('gallery_cat', {'cat_name': 'Photos'}) }}">Photos</a>
    </li>
</ul>
<div class="row">
    {% for galleryImg in pagination %}
        <div class="gallery-img col-3">
            <a href="{{ vich_uploader_asset(galleryImg, 'image') }}" target="_blank">
                <img class="img-fluid" src="{{ vich_uploader_asset(galleryImg, 'image') }}" title="{{galleryImg.title}}" alt="{{galleryImg.alt}}">
            </a>
        </div>
    {% endfor %}
</div>
    <div class="navigation">
        {{ knp_pagination_render(pagination) }}
    </div>
</div>
{% endblock %}